/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLLinkElement_H__
#define __GdomHTMLLinkElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLLinkElement GdomHTMLLinkElement;
typedef struct _GdomHTMLLinkElementClass GdomHTMLLinkElementClass;


#define GDOM_TYPE_HTML_LINK_ELEMENT            (gdom_html_link_element_get_type())
#define GDOM_HTML_LINK_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_LINK_ELEMENT, GdomHTMLLinkElement))
#define GDOM_HTML_LINK_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_LINK_ELEMENT, GdomHTMLLinkElement)Class)
#define GDOM_IS_HTML_LINK_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_LINK_ELEMENT))
#define GDOM_IS_HTML_LINK_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_LINK_ELEMENT))
#define GDOM_HTML_LINK_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_LINK_ELEMENT, GdomHTMLLinkElementClass))

typedef struct _GdomHTMLLinkElementPrivate GdomHTMLLinkElementPrivate;

struct _GdomHTMLLinkElement {
    GdomHTMLElement parent_instance;
    GdomHTMLLinkElementPrivate *priv;
};

struct _GdomHTMLLinkElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_link_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLLinkElement_H__ */
